WordPress.org

Ready to get started?Download WordPress

Forums

Pods - Custom Content Types and Fields
[resolved] white screen of death after upgrade (17 posts)

  1. curiouslt
    Member
    Posted 3 months ago #

    Just upgraded to the lastest version of Pods & now we get the white screen of death when we try to save pages/posts. It happened with WordPress 3.8.3 as well as 3.9

    https://wordpress.org/plugins/pods/

  2. Scott Kingsley Clark
    Member
    Plugin Author

    Posted 3 months ago #

    Looking at this now, do you have any other details?

    What version of PHP?

  3. Scott Kingsley Clark
    Member
    Plugin Author

    Posted 3 months ago #

    I can't reproduce this locally, what kind of fields do you have for your posts?

  4. curiouslt
    Member
    Posted 3 months ago #

    PHP Version 5.3.28

    I'm going to see if I can get the field list. I don't want to turn it back on on the active site b/c people are trying to do other work on it, and we can't save pages with it active.

  5. curiouslt
    Member
    Posted 3 months ago #

    Most are Advanced Content Types, using Plain Text, WYSIWIG, Date/Time, File/Image/Video. What other info. do you need.

  6. pglewis
    Member
    Plugin Contributor

    Posted 3 months ago #

    I've created a GitHub issue here: https://github.com/pods-framework/pods/issues/2132

    Can you enable WP_DEBUG and reply with the results on that issue? Let's see if we can get any more clues.

  7. Scott Kingsley Clark
    Member
    Plugin Author

    Posted 3 months ago #

    You said it's failing when you go to save a Page? Do you have Pages extended by Pods? Does it fail when you save a normal ACT?

  8. curiouslt
    Member
    Posted 3 months ago #

    Yeah, will enable WP_DEBUG in the am & reply then. I'll have to try the saving a normal ACT in the am as well when I can activate the plugin & get you the info. you need.

    Thanks!

  9. Josh Pollock
    Member
    Plugin Author

    Posted 3 months ago #

    @curiousit

    We think that is might be caused by a possibly related issue, that Scott just created a fix for. Can you please download the latest version from pods.io/latest and let us know if that resolved your issue?

    Thanks,
    Josh

  10. Scott Kingsley Clark
    Member
    Plugin Author

    Posted 3 months ago #

    We also have a fix you can get from http://pods.io/latest/ -- just upload the old 2.4 files with the files from the folder that you get from the downloaded zip.

    Not sure if this fixes your specific issue, but we believe that it could very well be it.

  11. curiouslt
    Member
    Posted 3 months ago #

    Sorry, what do you mean upload the old 2.4 with the files from the folder? Add these to the 2.4 folder?

  12. Scott Kingsley Clark
    Member
    Plugin Author

    Posted 3 months ago #

    Try this:

    1. Download the ZIP file from http://pods.io/latest/
    2. Unzip it to your computer locally
    3. Upload the contents within the unzipped folder to your server in /wp-content/plugins/pods/
  13. curiouslt
    Member
    Posted 3 months ago #

    so pods-2.x will be inside the pods folder?

  14. Scott Kingsley Clark
    Member
    Plugin Author

    Posted 3 months ago #

    No, upload the contents of pods-2.x to the pods folder, that'll get you all set.

  15. curiouslt
    Member
    Posted 3 months ago #

    so overwrite the files

  16. Scott Kingsley Clark
    Member
    Plugin Author

    Posted 3 months ago #

    Yes, exactly. Let us know if it resolves your issue.

  17. curiouslt
    Member
    Posted 3 months ago #

    Seems to have done the trick, thanks!!

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.